


                 !!!!!!!!!!!!!!!!!!!!!
                     MODULE  USER
                 !!!!!!!!!!!!!!!!!!!!!

  use functions

  implicit none

!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!

  integer, parameter :: nr_q = 2
  integer, parameter :: nr_bins = 90
  real, parameter :: &
     min_val(nr_q) = (/ 0.   ,   0. /)
  real, parameter :: &
     max_val(nr_q) = (/ 1800., 900. /)

  integer hardcut
!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!

!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!

    !! ============================================== !!
    !! DO NOT EVEN THINK ABOUT CHANGING ANYTHING HERE !!
    !! ============================================== !!

  logical ::  pass_cut(nr_q)
  character (len = 6), dimension(nr_q) :: names
  character(len=10) :: filenamesuffix


!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!==!

            !! ----------------------------------------- !!
            !!     There are two versions of binning     !!
            !!     One for computing   d \sigma/ d Q     !!
            !!     One for computing  Q d \sigma/ d Q    !!
            !!  choose by setting the variable bin_kind  !!
            !! ----------------------------------------- !!
  integer :: bin_kind = 0       !!  0 for d \sig/dQ; +1 for Q d \sig/dQ;


  contains




  SUBROUTINE FIX_MU

  !! ==== Specify the scale mu AND musq==mu**2 ==== !!

  mu = Mm

  musq = mu**2

  END SUBROUTINE FIX_MU



  SUBROUTINE USERINIT
  ! This is called without arguments once as soon as McMule
  ! starts and has read all other configuration, i.e. you can
  ! access which_piece and flavour. Use this to read any
  ! further information from the user (like cut configuration
  ! etc). You do not have to print the hashes - this is
  ! already taken care of - but you are very much invited to
  ! include information of what it is you are doing
  !
  ! If you are using the cut channel of the menu, you may need to set
  ! the filenamesuffix variable which is appended to the name of the
  ! VEGAS file.

  ! Example for reading a cut:
  ! integer cut
  ! read*,cut
  ! write(filenamesuffix,'(I2)') cut

  print*, "This calculates the tau decay with a canonical Ey > 10 MeV"

  END SUBROUTINE




  FUNCTION QUANT(q1,q2,q3,q4,q5,q6,q7)

  real (kind=prec), intent(in) :: q1(4),q2(4),q3(4),q4(4), q5(4),q6(4),q7(4)
  real (kind=prec) :: gah(4), gas(4), tee
  real (kind=prec) :: quant(nr_q)

  pol1 = (/ 0._prec, 0._prec, 0.85_prec, 0._prec /)
!  pol1 = (/ 0._prec, 0._prec, 0._prec, 0._prec /)

  !! ==== keep the line below in any case ==== !!

  pass_cut = .true.
  call fix_mu


  if (q5(4) > q6(4)) then
    gah = q5 ; gas = q6
  else
    gah = q6 ; gas = q5
  endif

  if (gah(4) < 10.) set_zero = 0.

  names(1) = "minv"
  quant(1) = sqrt(sq(gah+q2))
  names(2) = "Ee"
  quant(2) = q2(4)


  END FUNCTION QUANT






                 !!!!!!!!!!!!!!!!!!!!!!!
                     END MODULE  USER
                 !!!!!!!!!!!!!!!!!!!!!!!



